#ifndef AktionsThread_H
#define AktionsThread_H

#include <Klient.h>
#include <Thread.h>

using namespace Framework;

class AktionsThread : public Thread
{
private:
	int aktion;
	int ref;
	void *arg1;
	void *arg2;
	void *arg3;
	void *arg4;
	void *arg5;

public:
	// Konstruktor
	AktionsThread( int aktion, void *arg1, void *arg2, void *arg3, void *arg4, void *arg5 );
	// nicht constant
	virtual void thread();
	// constant
	// Reference Counting
	AktionsThread *getThis();
	AktionsThread *release();
};

#endif